{
  "name": "whatsapptrigger",
  "display_name": "WhatsApp Trigger",
  "description": "Handle WhatsApp events via webhooks",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "whatsAppTriggerApi",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "whatsAppNotice",
      "display_name": "Due to Facebook API limitations, you can use just one WhatsApp trigger for each Facebook App",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "updates",
      "display_name": "Trigger On",
      "kind": "multiOptions",
      "required": true
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "description": "WhatsApp sends notifications to the Trigger when the status of a message changes (for example from Sent to Delivered and from Delivered to Read). To avoid multiple executions for one WhatsApp message, you can set the Trigger to execute only on selected message status updates."
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/WhatsApp/WhatsAppTrigger.node.ts"
}